> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bullring.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate Onramp

> Initiate a fiat-to-crypto onramp transaction. This does not affect your Bullring balance.



## OpenAPI

````yaml /api-reference/openapi.json post /v2/ramp/{subaccountId}/banking/onramp/initiate
openapi: 3.0.0
info:
  title: Bullring Finance API
  description: >-
    The Bullring Finance API allows you to build powerful cross-border payment
    solutions.
  version: 1.0.0
servers:
  - url: https://api.bullring.finance
    description: Production Server
  - url: https://staging-api.bullring.finance
    description: Sandbox Server
security:
  - x-api-key: []
tags:
  - name: Subaccounts
    description: Operations related to user subaccounts.
  - name: Verification
    description: Endpoints for subaccount verification, including KYC and KYB processes.
  - name: Balances
    description: Endpoints for retrieving account balances.
  - name: Deposits
    description: Endpoints for handling deposits into subaccounts.
  - name: Recipients
    description: Manage payment recipients for withdrawals.
  - name: Withdrawals
    description: Endpoints for handling withdrawals from subaccounts.
  - name: Conversions
    description: Endpoints for currency conversions.
  - name: Rates
    description: Endpoints for currency conversion rates.
  - name: Fees
    description: Endpoints for checking transaction fees.
  - name: Offramp
    description: Endpoints for handling offramp operations.
  - name: Onramp
    description: Endpoints for handling onramp operations.
paths:
  /v2/ramp/{subaccountId}/banking/onramp/initiate:
    post:
      tags:
        - Onramp
      summary: Initiate Onramp
      description: >-
        Initiate a fiat-to-crypto onramp transaction. This does not affect your
        Bullring balance.
      parameters:
        - name: subaccountId
          in: path
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                from:
                  type: object
                  properties:
                    amount:
                      type: number
                    currency:
                      type: string
                    phone_number:
                      type: string
                      description: Required for momo currencies e.g `GHS`.
                    payment_rail:
                      type: string
                      description: Required for `COP`.
                    bank_code:
                      type: string
                      description: Required for `COP`.
                  required:
                    - amount
                    - currency
                to:
                  type: object
                  properties:
                    asset:
                      type: string
                      enum:
                        - STABLE_SATS
                        - USDC
                        - USDT
                    chain:
                      type: string
                      description: |2-
                         **Production:** `lightning`, `ETH`, `SOL`.

                        **Staging:** `lightning`, `SOL-DEVNET`, `ETH-SEPOLIA`.
                      enum:
                        - lightning
                        - SOL-DEVNET
                        - ETH-SEPOLIA
                        - ETH
                        - SOLANA
                    destination_address:
                      type: string
                      description: >-
                        A wallet address for USDT & USDC or a Lightning Address
                        for BTC.
                  required:
                    - asset
                    - chain
                    - destination_address
                client_onramp_reference:
                  type: string
                  format: uuid
                  description: A unique valid UUID reference provided by the client.
            example:
              from:
                amount: 500
                currency: BRL
              to:
                asset: USDC
                chain: SOLANA
                destination_address: 2fFUHpCEXhdQtSxompq8qbyU7EjjrtkMnr7ZT4ovF9A9
              client_onramp_reference: 5a26b319-fc68-4ee2-83f2-198895716135
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  status:
                    type: string
                  type:
                    type: string
                  created_at:
                    type: string
                    format: date-time
                  account_id:
                    type: string
                  client_onramp_reference:
                    type: string
                  from:
                    type: object
                    properties:
                      amount:
                        type: string
                      currency:
                        type: string
                      payment_instructions:
                        type: object
                        properties:
                          method:
                            type: string
                          qr_code:
                            type: string
                          expires_at:
                            type: string
                            format: date-time
                  to:
                    type: object
                    properties:
                      asset:
                        type: string
                      gross_amount:
                        type: string
                      net_amount:
                        type: string
                      address:
                        type: string
                  pricing:
                    type: object
                    properties:
                      fx_rate:
                        type: string
                      fees:
                        type: object
                        properties:
                          onramp_fee:
                            type: string
                          onramp_fee_currency:
                            type: string
                          network_fee:
                            type: string
                          network_fee_asset:
                            type: string
                          total_fees:
                            type: string
                          total_fees_currency:
                            type: string
              example:
                id: e1359951-fa48-40f8-9e85-c38bc5ea857d
                status: pending
                type: onramp
                created_at: '2026-01-30T15:16:21.764Z'
                account_id: bb9bb7f8-53a1-4d2b-9d44-972462772789
                client_onramp_reference: 5a26b319-fc68-4ee2-83f2-198895716136
                from:
                  amount: '500'
                  currency: BRL
                  payment_instructions:
                    method: pix
                    qr_code: >-
                      00020101021226890014br.gov.bcb.pix2567brcode-h.sandbox.starkinfra.com/v2/2ac38224b4244685a0ddbd81c880da495204000053039865802BR5908Bullring6015Ciudad
                      de Mexic62070503***6304B0A9
                    expires_at: '2026-01-30T15:18:50.000Z'
                to:
                  asset: USDC
                  gross_amount: '95.47'
                  net_amount: '94.43'
                  address: 2fFUHpCEXhdQtSxompq8qbyU7EjjrtkMnr7ZT4ovF9A9
                pricing:
                  fx_rate: '0.19094342357815985'
                  fees:
                    onramp_fee: '1.5'
                    onramp_fee_currency: brl
                    network_fee: '0.76'
                    network_fee_asset: USDC
                    total_fees: '5.43'
                    total_fees_currency: brl
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                statusCode: 400
                timestamp: '2025-12-10T06:10:31.899Z'
                error: Bad Request
                message: >-
                  cryptoAsset must be one of the following values: USDT, USDC,
                  BTC_LIGHTNING
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                statusCode: 404
                timestamp: '2025-12-10T05:58:00.326Z'
                error: Error
                message: Bank account not found
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        statusCode:
          type: integer
        message:
          type: string
        timestamp:
          type: string
          format: date-time
        path:
          type: string
        error:
          type: string
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````